Bug 40345 - Time range selection is enabled as soon as you click on any chart
Summary: Time range selection is enabled as soon as you click on any chart
Status: VERIFIED FIXED
Alias: None
Product: Profiler
Classification: Xamarin
Component: Windows (show other bugs)
Version: 0.32.x
Hardware: PC Mac OS
: High normal
Target Milestone: (C8)
Assignee: Jose Miguel Torres
URL:
Depends on:
Blocks:
 
Reported: 2016-04-13 15:04 UTC by Rodrigo Moya
Modified: 2016-06-10 15:53 UTC (History)
4 users (show)

Tags:
Is this bug a regression?: ---
Last known good build:

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on Developer Community with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
VERIFIED FIXED

Description Rodrigo Moya 2016-04-13 15:04:33 UTC
To switch between instruments, both columns (description and chart) in the instrument area are clickable, but when you click on any of the charts, the time range selection box is drawn, even tough you haven't clicked and dragged, which is what should start the selection.
Comment 1 xamarin-release-manager 2016-05-25 08:56:42 UTC
Fixed in version 0.33.1.99 (master)

Author: Jose Miguel Torres
Commit: d8fe8650f0d7ce0cd5c1c73f650af4bcbc10a1d7 (xamarin/profiler)
Comment 2 asimk 2016-06-10 15:53:17 UTC
This issue does not exist with latest profiler build i.e. v.0.33.2-0. Here is the screencast for the same: http://www.screencast.com/t/n5oJzpt5AHw